import { defHttp } from '/@/utils/http/axios';

interface ACPUrlParamsResponse {
  url: string;
  params: {
    [key: string]: string;
  };
}

/**
 * 获取阿里支付ACP的URL参数
 * @returns Promise<ACPUrlParamsResponse>
 */
export function getACPUrlParams() {
  return defHttp.get<ACPUrlParamsResponse>({
    url: '/payment/acp/getUrlParams',
  },{errorMessageMode: 'none'});
}
